#include "\masm32\include\resource.h"

#define ACC				110

#define IDB_BITMAP1			101
#define IDD_MAIN 			800
#define IDM_FILE_NEW                    1002
#define IDM_FILE_OPEN                   1004
#define IDM_FILE_SAVE                   1006
#define IDM_FILE_SAVE_AS                1008
#define IDM_FILE_PRINT                  1010
#define IDM_FILE_PRINT_PREVIEW          1012
#define IDM_FILE_PRINT_SETUP            1014
#define IDM_FILE_RECENT_FILE            1016
#define IDM_FILE_APP_EXIT               1018
#define IDM_EDIT_UNDO                   1020
#define IDM_EDIT_CUT                    1022
#define IDM_EDIT_COPY                   1024
#define IDM_EDIT_PASTE                  1026
#define IDM_EDIT_DELETE                 1028
#define IDM_VIEW_TOOLBARS               1030
#define IDM_VIEW_TOOLBARS_STANDARD      1032
#define IDM_VIEW_TOOLBARS_CUSTOMIZE     1034
#define IDM_VIEW_SATATUSBAR             1036
#define IDM_VIEW_STYLE_MENU             1038
#define IDM_VIEW_STYLE_DEFAULT          1040
#define IDM_VIEW_STYLE_OFFICE_2000      1042
#define IDM_VIEW_STYLE_OFFICE_XP        1044
#define IDM_VIEW_STYLE_XNET             1044
#define IDM_HELP_ABOUT_MENU_XX          1050

#define IDM_NOT_STANDART		1070
#define IDM_NOT_STANDART_CHECK_ITEM     1072

/////////////////////////////////////////////////////////////////////////////
//
// Bitmap
//

IDB_BITMAP1             BITMAP                  "ToolBar.bmp"

/////////////////////////////////////////////////////////////////////////////
//
// Menu
//

MAINMENU MENU
BEGIN
    POPUP "&File"
    BEGIN
        MENUITEM "&New\tCtrl+N",                1002
        MENUITEM "&Open...\tCtrl+O",            1004
        MENUITEM "&Save\tCtrl+S",               1006
        MENUITEM "Save &As...",                 1008
        MENUITEM SEPARATOR
        MENUITEM "&Print...\tCtrl+P",           1010
        MENUITEM "Print Pre&view",              1012
        MENUITEM "P&rint Setup...",             1014
        MENUITEM SEPARATOR
        MENUITEM "Recent File",                 1016, GRAYED
        MENUITEM SEPARATOR
        MENUITEM "E&xit",                       1018
    END
    POPUP "&Edit"
    BEGIN
        MENUITEM "&Undo\tCtrl+Z",               1020, GRAYED
        MENUITEM SEPARATOR
        MENUITEM "Cu&t\tCtrl+X",                1022
        MENUITEM "&Copy\tCtrl+C",               1024
        MENUITEM "&Paste\tCtrl+V",              1026
        MENUITEM "De&lete\tDel",                1028
    END
    POPUP "&View"
    BEGIN
        POPUP "Toolbars"
        BEGIN
            MENUITEM "&Standard",                   1032, CHECKED
            MENUITEM "&Customize...",               1034
        END
        MENUITEM "&Status Bar",                 1036, CHECKED, GRAYED        
    END
    POPUP "&Theme Menu"
        BEGIN
            MENUITEM "&Default",                    1040
            MENUITEM "&Office 2000",                1042
            MENUITEM "Office &XP",                  1044
	    MENUITEM "XNET",	                    1046
        END
    POPUP "&Not standard item"
    BEGIN
	MENUITEM "Check Item with icon",            1072
    END
    POPUP "&Help"
    BEGIN
        MENUITEM "&About Menu_XX...",           1050
    END
END

IDD_MAIN DIALOGEX 0,0,400,250
CAPTION "<-- System Menu new Style. Menu_XX!!! 3 Styles."
FONT 8,"MS Shell Dlg"
MENU MAINMENU
STYLE 0x10cf0848
EXSTYLE 0x00000200
BEGIN
END

/////////////////////////////////////////////////////////////////////////////
//
// Version
//

VERINF1 VERSIONINFO
 FILEVERSION 0,6,6,5
 PRODUCTVERSION 0,6,6,5
 FILEFLAGSMASK 0x0L
#ifdef _DEBUG
 FILEFLAGS 0x1L
#else
 FILEFLAGS 0x0L
#endif
 FILEOS 0x4L
 FILETYPE 0x0L
 FILESUBTYPE 0x0L
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904B0"
        BEGIN
            VALUE "FileVersion", "0.6.6.5"
            VALUE "ProductVersion", "0.6.6.5"
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1200
    END
END

/////////////////////////////////////////////////////////////////////////////
//
// Accelerator
//

ACC ACCELERATORS
BEGIN
    "N",            IDM_FILE_NEW,           VIRTKEY, CONTROL, NOINVERT
    "O",            IDM_FILE_OPEN,          VIRTKEY, CONTROL, NOINVERT
    "S",            IDM_FILE_SAVE,          VIRTKEY, CONTROL, NOINVERT
    "P",            IDM_FILE_PRINT,         VIRTKEY, CONTROL, NOINVERT
    "Z",            IDM_EDIT_UNDO,          VIRTKEY, CONTROL, NOINVERT
    "X",            IDM_EDIT_CUT,           VIRTKEY, CONTROL, NOINVERT
    "C",            IDM_EDIT_COPY,          VIRTKEY, CONTROL, NOINVERT
    "V",            IDM_EDIT_PASTE,         VIRTKEY, CONTROL, NOINVERT
    VK_DELETE,      IDM_EDIT_DELETE,        VIRTKEY, NOINVERT
END